/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { StructureRepresentationPresetProvider } from '../../mol-plugin-state/builder/structure/representation-preset';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
export declare const CellpackPackingPresetParams: {
    traceOnly: PD.BooleanParam;
    representation: PD.Select<string>;
};
export declare type CellpackPackingPresetParams = PD.ValuesFor<typeof CellpackPackingPresetParams>;
export declare const CellpackPackingPreset: StructureRepresentationPresetProvider<{
    traceOnly: boolean;
    representation: string;
}, {
    components?: undefined;
    representations?: undefined;
} | {
    components: {
        polymer: import("../../mol-state").StateObjectSelector<import("../../mol-plugin-state/objects").PluginStateObject.Molecule.Structure, import("../../mol-state/transformer").StateTransformer<import("../../mol-state/object").StateObject<any, import("../../mol-state/object").StateObject.Type<any>>, import("../../mol-state/object").StateObject<any, import("../../mol-state/object").StateObject.Type<any>>, any>> | undefined;
    };
    representations: {
        polymer: import("../../mol-state").StateObjectSelector<import("../../mol-plugin-state/objects").PluginStateObject.Molecule.Structure.Representation3D, import("../../mol-state/transformer").StateTransformer<import("../../mol-state/object").StateObject<any, import("../../mol-state/object").StateObject.Type<any>>, import("../../mol-state/object").StateObject<any, import("../../mol-state/object").StateObject.Type<any>>, any>>;
    };
}>;
export declare const CellpackMembranePresetParams: {
    representation: PD.Select<string>;
};
export declare type CellpackMembranePresetParams = PD.ValuesFor<typeof CellpackMembranePresetParams>;
export declare const CellpackMembranePreset: StructureRepresentationPresetProvider<{
    representation: string;
}, {
    components?: undefined;
    representations?: undefined;
} | {
    components: {
        membrane: import("../../mol-state").StateObjectSelector<import("../../mol-plugin-state/objects").PluginStateObject.Molecule.Structure, import("../../mol-state/transformer").StateTransformer<import("../../mol-state/object").StateObject<any, import("../../mol-state/object").StateObject.Type<any>>, import("../../mol-state/object").StateObject<any, import("../../mol-state/object").StateObject.Type<any>>, any>> | undefined;
    };
    representations: {
        membrane: import("../../mol-state").StateObjectSelector<import("../../mol-plugin-state/objects").PluginStateObject.Molecule.Structure.Representation3D, import("../../mol-state/transformer").StateTransformer<import("../../mol-state/object").StateObject<any, import("../../mol-state/object").StateObject.Type<any>>, import("../../mol-state/object").StateObject<any, import("../../mol-state/object").StateObject.Type<any>>, any>>;
    };
}>;
