"use strict";
/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Helper = exports.DefaultHelperProps = exports.HelperParams = void 0;
var tslib_1 = require("tslib");
var param_definition_1 = require("../../mol-util/param-definition");
var bounding_sphere_helper_1 = require("./bounding-sphere-helper");
var camera_helper_1 = require("./camera-helper");
var handle_helper_1 = require("./handle-helper");
exports.HelperParams = {
    debug: param_definition_1.ParamDefinition.Group(bounding_sphere_helper_1.DebugHelperParams),
    camera: param_definition_1.ParamDefinition.Group({
        helper: param_definition_1.ParamDefinition.Group(camera_helper_1.CameraHelperParams)
    }),
    handle: param_definition_1.ParamDefinition.Group(handle_helper_1.HandleHelperParams),
};
exports.DefaultHelperProps = param_definition_1.ParamDefinition.getDefaultValues(exports.HelperParams);
var Helper = /** @class */ (function () {
    function Helper(webgl, scene, props) {
        if (props === void 0) { props = {}; }
        var p = tslib_1.__assign(tslib_1.__assign({}, exports.DefaultHelperProps), props);
        this.debug = new bounding_sphere_helper_1.BoundingSphereHelper(webgl, scene, p.debug);
        this.camera = new camera_helper_1.CameraHelper(webgl, p.camera.helper);
        this.handle = new handle_helper_1.HandleHelper(webgl, p.handle);
    }
    return Helper;
}());
exports.Helper = Helper;
//# sourceMappingURL=helper.js.map