"use strict";
/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TetrahedronCage = exports.Tetrahedron = exports.tetrahedronIndices = exports.tetrahedronVertices = void 0;
var primitive_1 = require("./primitive");
var cage_1 = require("./cage");
exports.tetrahedronVertices = [
    0.5, 0.5, 0.5, -0.5, -0.5, 0.5, -0.5, 0.5, -0.5, 0.5, -0.5, -0.5
];
exports.tetrahedronIndices = [
    2, 1, 0, 0, 3, 2, 1, 3, 0, 2, 3, 1
];
var tetrahedronEdges = [
    0, 1, 1, 2, 2, 0,
    0, 3, 1, 3, 2, 3,
];
var tetrahedron;
function Tetrahedron() {
    if (!tetrahedron)
        tetrahedron = primitive_1.createPrimitive(exports.tetrahedronVertices, exports.tetrahedronIndices);
    return tetrahedron;
}
exports.Tetrahedron = Tetrahedron;
var tetrahedronCage = cage_1.createCage(exports.tetrahedronVertices, tetrahedronEdges);
function TetrahedronCage() {
    return tetrahedronCage;
}
exports.TetrahedronCage = TetrahedronCage;
//# sourceMappingURL=tetrahedron.js.map