"use strict";
/**
 * Copyright (c) 2019-2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextureMeshRenderable = exports.TextureMeshSchema = void 0;
var tslib_1 = require("tslib");
var renderable_1 = require("../renderable");
var render_item_1 = require("../webgl/render-item");
var schema_1 = require("./schema");
var shader_code_1 = require("../shader-code");
var mol_util_1 = require("../../mol-util");
exports.TextureMeshSchema = tslib_1.__assign(tslib_1.__assign({}, schema_1.BaseSchema), { uGeoTexDim: schema_1.UniformSpec('v2', 'buffered'), tPosition: schema_1.TextureSpec('texture', 'rgb', 'float', 'nearest'), tGroup: schema_1.TextureSpec('texture', 'alpha', 'float', 'nearest'), tNormal: schema_1.TextureSpec('texture', 'rgb', 'float', 'nearest'), dFlatShaded: schema_1.DefineSpec('boolean'), dDoubleSided: schema_1.DefineSpec('boolean'), dFlipSided: schema_1.DefineSpec('boolean'), dIgnoreLight: schema_1.DefineSpec('boolean'), dXrayShaded: schema_1.DefineSpec('boolean'), dGeoTexture: schema_1.DefineSpec('boolean') });
function TextureMeshRenderable(ctx, id, values, state, materialId) {
    var schema = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, schema_1.GlobalUniformSchema), schema_1.GlobalTextureSchema), schema_1.InternalSchema), exports.TextureMeshSchema);
    var internalValues = {
        uObjectId: mol_util_1.ValueCell.create(id),
    };
    var shaderCode = shader_code_1.MeshShaderCode;
    var renderItem = render_item_1.createGraphicsRenderItem(ctx, 'triangles', shaderCode, schema, tslib_1.__assign(tslib_1.__assign({}, values), internalValues), materialId);
    return renderable_1.createRenderable(renderItem, values, state);
}
exports.TextureMeshRenderable = TextureMeshRenderable;
//# sourceMappingURL=texture-mesh.js.map