"use strict";
/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.parsePDB = void 0;
var tslib_1 = require("tslib");
var mol_task_1 = require("../../../mol-task");
var result_1 = require("../result");
var tokenizer_1 = require("../common/text/tokenizer");
function parsePDB(data, id, isPdbqt) {
    var _this = this;
    if (isPdbqt === void 0) { isPdbqt = false; }
    return mol_task_1.Task.create('Parse PDB', function (ctx) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var _a, _b;
        var _c;
        return tslib_1.__generator(this, function (_d) {
            switch (_d.label) {
                case 0:
                    _b = (_a = result_1.ReaderResult).success;
                    _c = {};
                    return [4 /*yield*/, tokenizer_1.Tokenizer.readAllLinesAsync(data, ctx)];
                case 1: return [2 /*return*/, _b.apply(_a, [(_c.lines = _d.sent(),
                            _c.id = id,
                            _c.isPdbqt = isPdbqt,
                            _c)])];
            }
        });
    }); });
}
exports.parsePDB = parsePDB;
//# sourceMappingURL=parser.js.map