"use strict";
/**
 * Copyright (c) 2018-2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.arcLength = exports.absMax = exports.isPowerOfTwo = exports.radToDeg = exports.degToRad = exports.PiDiv180 = exports.halfPI = void 0;
exports.halfPI = Math.PI / 2;
exports.PiDiv180 = Math.PI / 180;
function degToRad(deg) {
    return deg * exports.PiDiv180; // deg * Math.PI / 180
}
exports.degToRad = degToRad;
function radToDeg(rad) {
    return rad / exports.PiDiv180; // rad * 180 / Math.PI
}
exports.radToDeg = radToDeg;
function isPowerOfTwo(x) {
    return (x !== 0) && (x & (x - 1)) === 0;
}
exports.isPowerOfTwo = isPowerOfTwo;
/** return the value that has the largest absolute value */
function absMax() {
    var values = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        values[_i] = arguments[_i];
    }
    var max = 0;
    var absMax = 0;
    for (var i = 0, il = values.length; i < il; ++i) {
        var value = values[i];
        var abs = Math.abs(value);
        if (abs > absMax) {
            max = value;
            absMax = abs;
        }
    }
    return max;
}
exports.absMax = absMax;
/** Length of an arc with angle in radians */
function arcLength(angle, radius) {
    return angle * radius;
}
exports.arcLength = arcLength;
//# sourceMappingURL=misc.js.map