/**
 * Copyright (c) 2017-2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Task } from '../../mol-task';
import { ModelFormat } from '../format';
import { CifFrame } from '../../mol-io/reader/cif';
import { mmCIF_Database } from '../../mol-io/reader/cif/schema/mmcif';
import { Trajectory } from '../../mol-model/structure';
export { MmcifFormat };
declare type MmcifFormat = ModelFormat<MmcifFormat.Data>;
declare namespace MmcifFormat {
    type Data = {
        db: mmCIF_Database;
        frame: CifFrame;
        /**
         * Original source format. Some formats, including PDB, are converted
         * to mmCIF before further processing.
         */
        source?: ModelFormat;
    };
    function is(x?: ModelFormat): x is MmcifFormat;
    function fromFrame(frame: CifFrame, db?: mmCIF_Database, source?: ModelFormat): MmcifFormat;
}
export declare function trajectoryFromMmCIF(frame: CifFrame): Task<Trajectory>;
