/**
 * Copyright (c) 2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
import { StructureElement } from '../../mol-model/structure/structure';
import { CustomModelProperty } from '../common/custom-model-property';
export { BestDatabaseSequenceMapping };
interface BestDatabaseSequenceMapping {
    readonly dbName: string[];
    readonly accession: string[];
    readonly num: number[];
    readonly residue: string[];
}
declare namespace BestDatabaseSequenceMapping {
    const Provider: CustomModelProperty.Provider<{}, BestDatabaseSequenceMapping>;
    function getKey(loc: StructureElement.Location): string;
    function getLabel(loc: StructureElement.Location): string | undefined;
}
