/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 * @author David Sehnal <david.sehnal@gmail.com>
 */
/// <reference types="react" />
import { PluginUIComponent } from './base';
import { Structure } from '../mol-model/structure';
export declare type SequenceViewMode = 'single' | 'polymers' | 'all';
declare type SequenceViewState = {
    structureOptions: {
        options: [string, string][];
        all: Structure[];
    };
    structure: Structure;
    structureRef: string;
    modelEntityId: string;
    chainGroupId: number;
    operatorKey: string;
    mode: SequenceViewMode;
};
export declare class SequenceView extends PluginUIComponent<{
    defaultMode?: SequenceViewMode;
}, SequenceViewState> {
    state: SequenceViewState;
    componentDidMount(): void;
    private sync;
    private getStructure;
    private getSequenceWrapper;
    private getSequenceWrappers;
    private getInitialState;
    private get params();
    private get values();
    private setParamProps;
    render(): JSX.Element;
}
export {};
