/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
/// <reference types="react" />
import { CollapsableControls, CollapsableState } from '../base';
import { ActionMenu } from '../controls/action-menu';
interface VolumeStreamingControlState extends CollapsableState {
    isBusy: boolean;
}
export declare class VolumeStreamingControls extends CollapsableControls<{}, VolumeStreamingControlState> {
    protected defaultState(): VolumeStreamingControlState;
    componentDidMount(): void;
    get pivot(): import("../../mol-plugin-state/manager/structure/hierarchy-state").StructureRef;
    canEnable(): boolean;
    renderEnable(): JSX.Element | null;
    renderParams(): JSX.Element | null;
    renderControls(): JSX.Element | null;
}
interface VolumeSourceControlState extends CollapsableState {
    isBusy: boolean;
    loadingLabel?: string;
    show?: 'hierarchy' | 'add-repr';
}
export declare class VolumeSourceControls extends CollapsableControls<{}, VolumeSourceControlState> {
    protected defaultState(): VolumeSourceControlState;
    componentDidMount(): void;
    private item;
    get hierarchyItems(): ActionMenu.Items[];
    get addActions(): ActionMenu.Items;
    get isEmpty(): boolean;
    get label(): string;
    selectCurrent: ActionMenu.OnSelect;
    private lazyLoad;
    selectAdd: ActionMenu.OnSelect;
    toggleHierarchy: () => void;
    toggleAddRepr: () => void;
    renderControls(): JSX.Element;
}
export {};
