/**
 * Copyright (c) 2018 Mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
import { Expression } from '../../language/expression';
import { MSymbol } from '../../language/symbol';
export declare type MolScriptSymbol = {
    kind: 'alias';
    aliases: string[];
    symbol: MSymbol;
} | {
    kind: 'macro';
    aliases: string[];
    symbol: MSymbol;
    translate: (args: any) => Expression;
};
export declare function isMolScriptSymbol(x: any): x is MolScriptSymbol;
export declare const SymbolTable: ((string | {
    kind: 'alias';
    aliases: string[];
    symbol: MSymbol;
} | {
    kind: 'macro';
    aliases: string[];
    symbol: MSymbol;
    translate: (args: any) => Expression;
})[] | (string | (string | {
    kind: 'alias';
    aliases: string[];
    symbol: MSymbol;
} | {
    kind: 'macro';
    aliases: string[];
    symbol: MSymbol;
    translate: (args: any) => Expression;
})[])[])[];
export declare const MolScriptSymbols: MolScriptSymbol[];
export declare const Constants: string[];
export declare const NamedArgs: string[];
export declare const SymbolMap: {
    [id: string]: {
        kind: 'alias';
        aliases: string[];
        symbol: MSymbol;
    } | {
        kind: 'macro';
        aliases: string[];
        symbol: MSymbol;
        translate: (args: any) => Expression;
    } | undefined;
};
export declare const SymbolList: [string, MolScriptSymbol][];
export declare function transpileMolScript(expr: Expression): Expression;
