"use strict";
/**
 * Copyright (c) 2018-2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SizeTheme = void 0;
var uniform_1 = require("./size/uniform");
var theme_1 = require("../mol-theme/theme");
var physical_1 = require("./size/physical");
var mol_util_1 = require("../mol-util");
var shape_group_1 = require("./size/shape-group");
var uncertainty_1 = require("./size/uncertainty");
var SizeTheme;
(function (SizeTheme) {
    SizeTheme.EmptyFactory = function () { return SizeTheme.Empty; };
    SizeTheme.Empty = { factory: SizeTheme.EmptyFactory, granularity: 'uniform', size: function () { return 1; }, props: {} };
    function areEqual(themeA, themeB) {
        return themeA.factory === themeB.factory && mol_util_1.deepEqual(themeA.props, themeB.props);
    }
    SizeTheme.areEqual = areEqual;
    SizeTheme.EmptyProvider = { name: '', label: '', category: '', factory: SizeTheme.EmptyFactory, getParams: function () { return ({}); }, defaultValues: {}, isApplicable: function () { return true; } };
    function createRegistry() {
        return new theme_1.ThemeRegistry(SizeTheme.BuiltIn, SizeTheme.EmptyProvider);
    }
    SizeTheme.createRegistry = createRegistry;
    SizeTheme.BuiltIn = {
        'physical': physical_1.PhysicalSizeThemeProvider,
        'shape-group': shape_group_1.ShapeGroupSizeThemeProvider,
        'uncertainty': uncertainty_1.UncertaintySizeThemeProvider,
        'uniform': uniform_1.UniformSizeThemeProvider
    };
})(SizeTheme || (SizeTheme = {}));
exports.SizeTheme = SizeTheme;
//# sourceMappingURL=size.js.map