/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
/**
 * on node `process.env.NODE_ENV` is available, in webpack build it is automatically set
 * by the DefinePlugin to the webpack `mode` value
 */
declare let isProductionMode: boolean;
/**
 * set to true to enable more comprehensive checks and assertions,
 * mostly used in `mol-gl` and in valence-model calculation
 */
declare let isDebugMode: boolean;
export { isProductionMode, isDebugMode };
export declare function setProductionMode(value?: boolean): void;
export declare function setDebugMode(value?: boolean): void;
