/**
 * Adapted from https://github.com/mrdoob/three.js (examples/postprocessing/outline)
 * MIT License Copyright (c) 2010-2021 three.js authors
 */
export var blur_frag = "\nprecision highp float;\nprecision highp sampler2D;\n\nuniform sampler2D tColorTexture;\nuniform vec2 uTexSizeInv;\nuniform vec2 uDirection;\nuniform float uKernelRadius;\n\nfloat gaussianPdf(in float x, in float sigma) {\n    return 0.39894 * exp(-0.5 * x * x / (sigma * sigma)) / sigma;\n}\n\nvoid main() {\n    vec2 coords = gl_FragCoord.xy * uTexSizeInv;\n    float weightSum = gaussianPdf(0.0, uKernelRadius);\n    vec4 diffuseSum = texture2D(tColorTexture, coords) * weightSum;\n    vec2 delta = uDirection * uTexSizeInv * uKernelRadius / float(dMaxRadius);\n    vec2 offset = delta;\n    gl_FragColor = diffuseSum;\n    for(int i = 1; i <= dMaxRadius; ++i) {\n        float w = gaussianPdf(offset.x, uKernelRadius);\n        vec4 sample1 = texture2D(tColorTexture, coords + offset);\n        vec4 sample2 = texture2D(tColorTexture, coords - offset);\n        diffuseSum += (sample1 + sample2) * w;\n        weightSum += 2.0 * w;\n        offset += delta;\n    }\n    // gl_FragColor.a = diffuseSum.a / weightSum;\n}\n";
//# sourceMappingURL=blur.frag.js.map