/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ParamDefinition as PD } from '../../../mol-util/param-definition';
import { UnitsVisual } from '../units-visual';
export declare const NucleotideRingMeshParams: {
    sizeFactor: PD.Numeric;
    radialSegments: PD.Numeric;
    detail: PD.Numeric;
};
export declare const DefaultNucleotideRingMeshProps: PD.Values<{
    sizeFactor: PD.Numeric;
    radialSegments: PD.Numeric;
    detail: PD.Numeric;
}>;
export declare type NucleotideRingProps = typeof DefaultNucleotideRingMeshProps;
export declare const NucleotideRingParams: {
    sizeFactor: PD.Numeric;
    radialSegments: PD.Numeric;
    detail: PD.Numeric;
    unitKinds: PD.MultiSelect<"spheres" | "atomic" | "gaussians">;
    includeParent: PD.BooleanParam;
    doubleSided: PD.BooleanParam;
    flipSided: PD.BooleanParam;
    flatShaded: PD.BooleanParam;
    ignoreLight: PD.BooleanParam;
    xrayShaded: PD.BooleanParam;
    alpha: PD.Numeric;
    quality: PD.Select<"custom" | "auto" | "highest" | "higher" | "high" | "medium" | "low" | "lower" | "lowest">;
};
export declare type NucleotideRingParams = typeof NucleotideRingParams;
export declare function NucleotideRingVisual(materialId: number): UnitsVisual<NucleotideRingParams>;
